1. Are you ready for the Galaxy S20? Here is everything we know so far!

Help! Your device isn't compatible with this version??

Discussion in 'Android Apps & Games' started by mick3y, Jan 6, 2014.

  1. mick3y

    mick3y Lurker
    Thread Starter

    I've got two identical phones (Sony Ericsson Xperia Ray), bought at the same time, with the same software version. I've been installing the same apps to both, no problems until recently..

    Now on the one phone, I can't install or update anything, because 'Your device isn't compatible with this version'.. :mad: Any ideas?? :thinking:

    I've already tried deleting updates and cache from Google Play, but this only resulted in replacing Google Play with Market..

    Thx in advance..
     


  2. dibblebill

    dibblebill Android Expert

    If you give it a bit, the Market should re-update to Google Play. I've had that issue before with a device, but it was running a custom ROM and a factory reset fixed it. Never seen your issue before, but I'd see if re-updating to Play Store fixes it.
     
  3. mick3y

    mick3y Lurker
    Thread Starter

    It's been a couple of days and it doesn't upgrade.. :( I think its time for the factory reset..
     
Loading...
Similar Threads - Help device isn't
  1. GraceB
    Replies:
    0
    Views:
    49
  2. Zekson
    Replies:
    1
    Views:
    86
  3. Dankees
    Replies:
    0
    Views:
    130
  4. Jonathan davis
    Replies:
    1
    Views:
    194
  5. davefix
    Replies:
    11
    Views:
    297
  6. centii
    Replies:
    4
    Views:
    255
  7. Nolan_B
    Replies:
    2
    Views:
    1,239
  8. flippindocks
    Replies:
    37
    Views:
    1,627
  9. jitsingh41
    Replies:
    20
    Views:
    1,325
  10. ololade
    Replies:
    3
    Views:
    684

Share This Page

Loading...